/*
         buttons.h
 
 (c)2014 ARPix / Alexander Röhl

*/

void BT_Menu () {
  // Start serial read
  if (digitalRead(BUTTON[0])) {
    delay(BUTTON_DELAY);
    PROGRAMM_MODUS = 1;
    READ_STATE = 1;
    SELECT_STATE = 1;
  }
  // Settings
  if (digitalRead(BUTTON[1])) {
    delay(BUTTON_DELAY);
    PROGRAMM_MODUS = 2;
    SELECT_STATE = 1;
  }  
}

void BT_Serial() {
  // Back to MENU
  if (digitalRead(BUTTON[3])) {
    delay(BUTTON_DELAY);
    PROGRAMM_MODUS=0;
    SELECT_STATE = 1;
  }
  // Serial read PAUSE
  if (digitalRead(BUTTON[0])) {
    delay(BUTTON_DELAY);
    myDOG.print(" {  I     I     I [ ",0,7); 
    READ_STATE = !READ_STATE;
  }
}


void BT_Settings() {
  //////// Back to MENU
  if (digitalRead(BUTTON[3])) {
    delay(BUTTON_DELAY);
    PROGRAMM_MODUS=0;
    SELECT_STATE = 1;
  }
  //////// UP
  if (digitalRead(BUTTON[0])) {
    delay(BUTTON_DELAY);
    myDOG.print(" ", UPDOWN_COL_POS*5, UPDOWN_ROW_POS);
    UPDOWN_ROW_POS--;
  }
  //////// DOWN
  if (digitalRead(BUTTON[1])) {
    delay(BUTTON_DELAY);
    myDOG.print(" ", UPDOWN_COL_POS*5, UPDOWN_ROW_POS);
    UPDOWN_ROW_POS++;
  }
  //////// Enter/Save
  if (digitalRead(BUTTON[2])) {
    delay(BUTTON_DELAY);
    byte index;
    if (UPDOWN_ROW_POS > 5) index = 1;
    else index = 0;
    
    CURRENT_BAUD = BAUD_RATE[UPDOWN_ROW_POS - 1][BAUD_ARRAY_INDEX];
    //Serial.println(CURRENT_BAUD);
    delay(10);
    Serial.end();     // stop serial communication
    delay(10);
    Serial.begin(CURRENT_BAUD);    // start serial communication wit new baudrate
    delay(10);
    myDOG.displayClear();
    myDOG.print("Settings saved", 8, 3);
    delay(2000);
  
    PROGRAMM_MODUS=0;
    SELECT_STATE = 1;
  }
}

