/*
         vars.h
 
 (c)2014 ARPix / Alexander Röhl

*/

/////////////////////////////////////////
// BUTTONS
/////////////////////////////////////////
int BUTTON[] = {5,4,3,2};  // button PIN array
byte BUTTON_DELAY = 200;  // button pressure delay
byte SELECT_STATE = 1;  // Is required to bypass the loop for the menus
byte UPDOWN_ROW_POS = 5;  // for the BAUD-Menu
byte UPDOWN_COL_POS = 6;  // for the BAUD-Menu


/////////////////////////////////////////
// MENU
/////////////////////////////////////////
byte PROGRAMM_MODUS = 0;  // for the mode function in programs.h
int i = 0;
char txt[20];  // text array with 20 fields. Max. 20 chars each row are possible for the display
int val, value;
int row = 0;
byte READ_STATE = 1;  // Is required for the Start- and Pause-function for the reading.


/////////////////////////////////////////
// SETTINGS
/////////////////////////////////////////
unsigned long CURRENT_BAUD = 9600;
byte BAUD_ARRAY_INDEX = 0;
long BAUD_RATE[5][2] = {
 {1200, 14400},
 {2400, 19200},  
 {4800, 38400},  
 {7200, 57600},
 {9600, 115200}  
};
